# Uses of Class
it.tdlight.jni.TdApi.GroupCallVideoQuality

## Uses of TdApi.GroupCallVideoQuality in it.tdlight.jni

Subclasses of TdApi.GroupCallVideoQuality in it.tdlight.jni
Modifier and Type
Class
Description
`static final class`
`TdApi.GroupCallVideoQualityFull`
The best available video quality.
`static final class`
`TdApi.GroupCallVideoQualityMedium`
The medium video quality.
`static final class`
`TdApi.GroupCallVideoQualityThumbnail`
The worst available video quality.
Fields in it.tdlight.jni declared as TdApi.GroupCallVideoQuality
Modifier and Type
Field
Description
`TdApi.GroupCallVideoQuality`
TdApi.GetGroupCallStreamSegment.`videoQuality`
Video quality as received from tgcalls; pass null to get the worst available quality.
Constructors in it.tdlight.jni with parameters of type TdApi.GroupCallVideoQuality
Modifier
Constructor
Description
``
`GetGroupCallStreamSegment(int groupCallId, long timeOffset, int scale, int channelId, TdApi.GroupCallVideoQuality videoQuality)`
Returns a file with a segment of a group call stream in a modified OGG format for audio or MPEG-4 format for video.